{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Instance Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "instance_name",
            "min": 5,
            "max": 32,
            "default": "webapp",
            "choices": ""
        },
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "n2-standard-2",
            "choices": "Standard_B1s\nStandard_DS2\nStandard_DS4\nn2-standard-2\nn2-standard-4\nn2-standard-8\nt3.large\nt2.micro\nt2.small"
        },
        {
            "question_name": "Provider Type",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "type",
            "min": null,
            "max": null,
            "default": "{{ type }}",
            "choices": "ec2\ngcp\nazure\nvmware"
        }
    ]
}
